<?php
	$gender = GENDER_FEMALE;
	$is_agency = null;
	$is_tour = null;
	$is_upcoming = null;
	// If there are some filters specified, than statistics will be counted
	// for that criterias, otherwise total counts of escorts will be shown
	if ( is_array($this->params['filter']) ) {
		foreach ($this->params['filter'] as $v) {
			// Get gender
			if ( array_search('boys', $v, true) ) {
				$gender = GENDER_MALE;
			}
			elseif ( array_search('trans', $v, true) ) {
				$gender = GENDER_TRANS;
			}

			// Get dependentness of escort
			if ( array_search('agence', $v, true) ) {
				$is_agency = true;
			}
			elseif ( array_search('independantes', $v, true) ) {
				$is_agency = false;
			}

			if ( array_search('tours', $v, true) ) {
				$gender = null;
				$is_tour = true;
				$is_upcoming = false;
			}
			elseif ( array_search('upcomingtours', $v, true) ) {
				$gender = null;
				$is_tour = false;
				$is_upcoming = true;
			}
		}
	}
	
	$region_slug = $this->request()->region;

	$cache = Zend_Registry::get('cache');
	$cache_key = 'popular_cities_' . $gender . '_' . $is_agency . '_' . $is_tour . '_' . $this->request()->lang_id . '_' . $is_upcoming . '_' . $region_slug;

	if ( ! $cities = $cache->load($cache_key) )
	{
		$cities = Model_Statistics::getCities(null, $gender, $is_agency, $is_tour, $is_upcoming, null, null, $region_slug);
		$cities = array_slice($cities, 0, 4);
		
		$cache->save($cities, $cache_key, array());
	}
	
	

	$country_iso = Cubix_Application::getById()->iso;
?>

<?php if ( count($cities) > 0 ): ?>
<div class="most-cities">
	<span class="label bold"><?= $this->t('most_popular_cities') ?>:</span>

	<?php foreach ($cities as $i => $city): ?>
		<a href="<?= $this->getLink('escorts', array('city' => $city->city_url_slug, 'city_id' => $city->city_id, 'region' => $city->region_slug, 'zone' => null, 'filter' => null, 'page' => null), true) ?>" title="<?= $this->t('escorts_in_city', array('CITY' => $city->region_title . '/' . $city->city_title)) ?>">
			<span><?= $city->city_title ?></span>
			(<?= $city->escort_count ?>)
		</a>
	<?php endforeach;?>
</div>
<? endif; ?>